# Get Custom Component

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Custom Component"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/custom_components/{custom_component_id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Get the details of a custom component with a specific ID. The details include the component version and status.
You may need to use the Get Custom Components endpoint first to obtain the component's ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"custom_component_id","required":true,"schema":{"format":"uuid","title":"Custom Component ID","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"created_by_user_id":{"description":"User ID of the user who created the custom component.","format":"uuid","title":"Created by user ID","type":"string"},"custom_component_id":{"description":"Unique identifier of the custom component.","format":"uuid","title":"Custom component ID","type":"string"},"logs":{"description":"Custom component logs.","items":{"properties":{"level":{"description":"Log level, for example error or warning.","title":"Level","type":"string"},"log_entry_id":{"description":"Unique identifier of the log entry.","format":"uuid","title":"Log entry ID","type":"string"},"msg":{"description":"Log message.","title":"Message","type":"string"}},"required":["log_entry_id","msg","level"],"title":"CustomComponentLog","type":"object"},"title":"Logs","type":"array"},"organization_id":{"description":"Unique identifier of the Haystack Enterprise Platform organization with the organization where you want to upload the component.","format":"uuid","title":"Organization ID","type":"string"},"status":{"description":"Status of the custom component.","title":"Status","type":"string"},"version":{"description":"Version of the custom component.","title":"Version","type":"string"}},"required":["organization_id","logs","version","created_by_user_id","custom_component_id","status"],"title":"CustomComponent","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
